LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XCellRangeReferrer Interface Referencepublished

allows direct access to the cells in a named range or to the cells which are visible in a view, without the need to get the document object first. More...

`import"XCellRangeReferrer.idl";`

Inheritance diagram for XCellRangeReferrer:

## Public Member Functions
com::sun::star::table::XCellRange | getReferredCells ()
| returns the cell range object that is represented. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows direct access to the cells in a named range or to the cells which are visible in a view, without the need to get the document object first.

See also
  com::sun::star::sheet::NamedRange
  com::sun::star::sheet::DatabaseRange
  com::sun::star::sheet::SpreadsheetViewPane

## Member Function Documentation

## ◆ getReferredCells()

com::sun::star::table::XCellRange getReferredCells | ( |  | ) |

returns the cell range object that is represented.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XCellRangeReferrer.idl